LibreOffice: XTextSearch Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XTextSearch Interface Referencepublished

enables an object to search in its content. More...

`import"XTextSearch.idl";`

Inheritance diagram for XTextSearch:

## Public Member Functions
void | setOptions ([in] SearchOptions options)
| set the options for the forward or backward search. More...
SearchResult | searchForward ([in] string searchStr, [in] long startPos, [in] long endPos)
| search forward in the searchStr, starts at startPos and ends by endpos. More...
SearchResult | searchBackward ([in] string searchStr, [in] long startPos, [in] long endPos)
| search backward in the searchStr, starts at startPos and ends by endpos. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables an object to search in its content.

## Member Function Documentation

## ◆ searchBackward()

SearchResult searchBackward | ( | [in] string | searchStr,
|  | [in] long | startPos,
|  | [in] long | endPos
| ) |  |

search backward in the searchStr, starts at startPos and ends by endpos.

The endpos must be lower then the startpos, because the function searches backward! The result is returned in the SearchResult.

## ◆ searchForward()

SearchResult searchForward | ( | [in] string | searchStr,
|  | [in] long | startPos,
|  | [in] long | endPos
| ) |  |

search forward in the searchStr, starts at startPos and ends by endpos.

The result is returned in the SearchResult.

## ◆ setOptions()

void setOptions | ( | [in] SearchOptions | options | ) |

set the options for the forward or backward search.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XTextSearch.idl